# Class: headers

## LuCI. headers

The `Headers` class is an internal utility class exposed in HTTP response objects using the `response.headers` property.

#### new LuCI.headers()

luci.js, line 332

### Methods

#### get(name){string|null}

luci.js, line 380

  Returns the value of the given header name. Note: Header-Names are case-insensitive.

  Name | Type | Description
  --- | --- | ---
  `name` | string | The header name to read

  ##### Returns:

  Type | Description
  --- | ---
  string | null | The value of the given header name or `null` if the header isn't present.

#### has(name){boolean}

luci.js, line 364

  Checks whether the given header name is present. Note: Header-Names are case-insensitive.

  Name | Type | Description
  --- | --- | ---
  `name` | string | The header name to check

  ##### Returns:

  Type | Description
  --- | ---
  boolean | Returns `true` if the header name is present, `false` otherwise